CompleteRSS clashes with cforms plugin and wp-polls

ovidiu

New Member
#1
clashes with: http://www.deliciousdays.com/cforms-plugin
error message given is:

Warning: fread() [function.fread]: Length parameter must be greater than 0. in /var/www/web40/web/wp-admin/incl/edit.inc.php on line 44

Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /var/www/web40/web/wp-content/plugins/CompleteRSS_1.0.php:3) in /var/www/web40/web/wp-content/plugins/contactforms/cforms.php on line 52

Warning: Cannot modify header information - headers already sent by (output started at /var/www/web40/web/wp-content/plugins/CompleteRSS_1.0.php:3) in /var/www/web40/web/wp-content/plugins/polls/polls.php on line 1088

any ideas?
 
Last edited by a moderator:

mqudsi

Mostly Harmless
Staff member
#2
Hi ovidiu, welcome to NST.

We're running WP-Polls on the Official NeoSmart Blog without any conflicts (and, of course, we have CompleteRSS running as well).

Make sure all three plugins' main files (the ones you get when you press "Edit Plugin") don't have any empty spaces at the bottom after the
Code:
?>
marker - it's a common PHP bug that is the cause of most "headers already sent by" errors.

Let me know how it goes.
 

ovidiu

New Member
#3
thx, that was it, I had manually created your plugin on my server through a web-based form and copied in some junk besides your plugin code :smile: th a lot.
 

mqudsi

Mostly Harmless
Staff member
#4
No problem, glad you got it to work.
If you have any other questions, well, we're here to help :smile: